<template>

    <div class="sidebar">

        <div class="sidebar-item"><router-link :to="{name: 'ChannelsIndex'}" ><i class="ico ico-tv"></i><span></span></router-link></div>
        <div class="sidebar-item"><router-link :to="{name: 'FilmsIndex'}" ><i class="ico ico-film"></i><span></span></router-link></div>
        <div class="sidebar-item"><router-link :to="{name: 'CamerasIndex'}" ><i class="ico ico-cam"></i><span></span></router-link></div>
        <div class="sidebar-item"><router-link :to="{name: 'Settings'}" ><i class="ico ico-setting"></i><span></span></router-link></div>

    </div>

</template>

<script>
    export default {
        name: "base-sidebar",
        computed: {
            activeEvent() { return this.$store.getters.getActiveEvent },
            hasActiveEvent() { return this.activeEvent !== null }
        },
    }
</script>

<style scoped>

</style>
